#include "spi_functions_G2001.h"
#include "reg_val_header.h"					// Must match converted .ini -> .h file name
#define loc_reg0 0x0000

void main(void)
{
	InitHost();								// Initialize the MSP430xxxx device ports
	usDelay(500);
	char index;								// index for blockWrite
	
	word reg_val_arr[21] = { reg_0_data, reg_1_data, reg_2_data, reg_3_data, 
		reg_4_data, reg_5_data, reg_6_data, reg_7_data, reg_8_data, reg_9_data, 
		reg_10_data, reg_11_data, reg_12_data, reg_13_data, reg_14_data, reg_15_data, 
		reg_16_data, reg_17_data, reg_18_data, reg_19_data, reg_20_data };
	
	resetLo();								// lock reset to low
	
	scsLo();								// lock SPI scs to 6208
	//----------------------------------------------------------------------------
	//	blockWrite on SPI to 6208
	//----------------------------------------------------------------------------
	Shift16(loc_reg0);
	for (index=0; index < 21; index++)
	{
		Shift16(reg_val_arr[index]);		// blockWrite from reg0-reg20
	}
	scsHi();

	//----------------------------------------------------------------------------
	//	End blockWrite to 6208
	//----------------------------------------------------------------------------
	resetHi();								// reset signal to hi

	ExitHost(); 							// delatch scs, set highZ, set LPM3
}
